<link rel="stylesheet" href="bibliotheque.css" />	

<?php
$bdw = new PDO('mysql:host=localhost;dbname=bibliotheque;charset=utf8','root','');

if (!empty($_POST)) {
    if (isset($_POST['bouton2'])) {
        $idArticle = isset($_POST['idArticle']) ? $_POST['idArticle'] : NULL;
		$Categorie = isset($_POST['Categorie']) ? $_POST['Categorie'] : NULL;
		$Titre = isset($_POST['Titre']) ? $_POST['Titre'] : NULL;
		$Contenu = isset($_POST['Contenu']) ? $_POST['Contenu'] : NULL;
		$Resume = isset($_POST['Resume']) ? $_POST['Resume'] : NULL; 
		$Image4 =  isset($_POST['Image4']) ? $_POST['Image4'] : NULL;
		$Image5 = isset($_POST['Image5']) ? $_POST['Image5'] : NULL;
		$Image6 = isset($_POST['Image6']) ? $_POST['Image6'] : NULL;		

		$req = $bdw->prepare('insert into articles values(:idArticle, :Titre, :Contenu, :Resume, :Image4, :Image5, :Categorie, :Image6)');
		$req->execute(array(':idArticle'=>$idArticle, ':Categorie'=>$Categorie, ':Titre'=>$Titre, ':Contenu'=>$Contenu, ':Resume'=>$Resume, ':Image4'=>$Image4, ':Image5'=>$Image5, ':Image6'=>$Image6));

		echo '<div class="administration">
				<P>
					Article bien ajouté !
					<br />
					<a href="administration2.php">Continuer les ajouts</a> ou <a href="article.php?billet='.$idArticle.'">voir l\'article</a>
				</P>
			</div>';
    } elseif(isset($_POST['bouton1'])) {
        $idHE = isset($_POST['idHE']) ? $_POST['idHE'] : NULL;
		$NomHE = isset($_POST['NomHE']) ? $_POST['NomHE'] : NULL;
		$NomLatin = isset($_POST['NomLatin']) ? $_POST['NomLatin'] : NULL;
		$Image1 = isset($_POST['Image1']) ? $_POST['Image1'] : NULL; 
		$Description =  isset($_POST['Description']) ? $_POST['Description'] : NULL;
		$Famille = isset($_POST['Famille']) ? $_POST['Famille'] : NULL;
		$Partie_ditille = isset($_POST['Partie']) ? $_POST['Partie'] : NULL;		
		$Image2 = isset($_POST['Image2']) ? $_POST['Image2'] : NULL;
		$Composition = isset($_POST['Composition']) ? $_POST['Composition'] : NULL;
		$Couleur = isset($_POST['Couleur']) ? $_POST['Couleur'] : NULL;
		$Origine = isset($_POST['Origine']) ? $_POST['Origine'] : NULL;
		$Image3 = isset($_POST['Image3']) ? $_POST['Image3'] : NULL;

		$req2 = $bdw->prepare('insert into he values(:idHE, :nomHE, :nomLatin, :Image1, :Description, :Famille, :Partie, :Image2, :Composition, :Couleur, :Origine, :Image3)');
		$req2->execute(array(':idHE'=>$idHE, ':nomHE'=>$NomHE, ':nomLatin'=>$NomLatin, ':Image1'=>$Image1, ':Description'=>$Description, ':Famille'=>$Famille, ':Partie'=>$Partie_ditille, ':Image2'=>$Image2, ':Composition'=>$Composition, ':Couleur'=>$Couleur, ':Origine'=>$Origine, ':Image3'=>$Image3));


		$idDanger = array(); 
		$idDanger = isset($_POST['dangers']) ? $_POST['dangers'] : NULL;

		for($i=0; $i<count($idDanger);$i++){
			$req = $bdw->prepare('insert into peut_provoquer values(:idHE, :idDanger)');
			$req->execute(array(':idHE'=>$idHE, ':idDanger'=>$idDanger[$i]));
		}



		$idVoie = array(); 
		$idVoie = isset($_POST['voie']) ? $_POST['voie'] : NULL;

		for($i=0; $i<count($idVoie);$i++){
			$req = $bdw->prepare('insert into est_administre values(:idHE, :idVoie)');
			$req->execute(array(':idHE'=>$idHE, ':idVoie'=>$idVoie[$i]));
		}

		$idVoie2 = array();
		$idVoie2 = isset($_POST['voie2']) ? $_POST['voie2'] : NULL;

		for($i=0; $i<count($idVoie2);$i++){
			$req = $bdw->prepare('insert into est_administre values(:idHE, :idVoie2)');
			$req->execute(array(':idHE'=>$idHE, ':idVoie2'=>$idVoie2[$i]));
		}

		$idVoie3 = array();
		$idVoie3 = isset($_POST['voie3']) ? $_POST['voie3'] : NULL;

		for($i=0; $i<count($idVoie3);$i++){
			$req = $bdw->prepare('insert into est_administre values(:idHE, :idVoie3)');
			$req->execute(array(':idHE'=>$idHE, ':idVoie3'=>$idVoie3[$i]));
		}

		$idVoie4 = array();
		$idVoie4 = isset($_POST['voie4']) ? $_POST['voie4'] : NULL;

		for($i=0; $i<count($idVoie4);$i++){
			$req = $bdw->prepare('insert into est_administre values(:idHE, :idVoie4)');
			$req->execute(array(':idHE'=>$idHE, ':idVoie4'=>$idVoie4[$i]));
		}

		$idropriete = array();
		$idpropriete = isset($_POST['propriete']) ? $_POST['propriete'] : NULL;

		for($i=0; $i<count($idpropriete);$i++){
			$req = $bdw->prepare('insert into possede values(:idHE, :idpropriete)');
			$req->execute(array(':idHE'=>$idHE, ':idpropriete'=>$idpropriete[$i]));
		}

		echo '<div class="administration">
				<P>
					Fiche bien ajoutée !
					<br />
					<a href="administration.php">Continuer les ajouts</a> ou <a href="fiche.php?billet='.$idHE.'">voir la fiche</a>
				</P>
			</div>';
	}elseif(isset($_POST['bouton3'])){
		$NomPropriete =array();
		$nb=array();

		$NomPropriete = isset($_POST['NomPropriete']) ? $_POST['NomPropriete'] : NULL;
		$nb = isset($_POST['Domaine']) ? $_POST['Domaine'] : NULL;
		$idType = 1;

		for($i=0; $i<count($NomPropriete);$i++){
			switch ($nb[$i]){
			case 'Sante' : $idType = 1; break;
			case 'Bien etre' : $idType = 3; break;
			case 'Beaute' : $idType = 2; break;
			default : echo '';
			}
			$req = $bdw->prepare('insert into proprietes (NomPropriete, idType) value(:NomPropriete, :idType)');
			$req->execute(array(':NomPropriete'=>$NomPropriete[$i], ':idType'=>$idType));
			
		echo '<div class="administration">
				<P>
					Propriété(s) bien ajoutée(s) !
					<br />
					<a href="administration.php">Remplir la fiche</a>
				</P>
			</div>';			
			
	}


	
			}

}

?>